<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{valueSetManagerSVS.getValueSetFromUrl()}
            <h1>#{messages['gazelle.svs.ValueSetDetails']}</h1>
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.svs.ValueSet']}</ui:define>

                <div id="displayValueSet">
                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                                    <h:outputLink
                                            value="#{valueSetManagerSVS.retrieveValueSet(valueSetManagerSVS.selectedValueSet.id)}"
                                            target="blank_">
                                        <h:outputText value="#{valueSetManagerSVS.selectedValueSet.id}"/>
                                    </h:outputLink>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Purpose']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.purpose}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.displayName}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Definition']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.definition}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.version']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.version}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.SourceURI']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.sourceURI}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Source']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.source}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Binding']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.binding}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Status']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.status}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.Type']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.type}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.EffectiveDate']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.effectiveDateUtil}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.ExpirationDate']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.expirationDateUtil}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>

                    <div class="row">
                        <dl class="dl-horizontal">
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.CreationDate']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.creationDateUtil}"/>
                                </s:decorate>
                            </div>
                            <div class="col-lg-6">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.svs.RevisionDate']}</ui:define>
                                    <h:outputText value="#{valueSetManagerSVS.selectedValueSet.revisionDateUtil}"/>
                                </s:decorate>
                            </div>
                        </dl>
                    </div>
                </div>
                <br/>
                <s:div rendered="#{not empty valueSetManagerSVS.selectedValueSet.getIdDB()}">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.svs.Groups']}</ui:define>
                        <s:div id="divTableGroup"
                               rendered="#{not valueSetManagerSVS.getBoolGroupListEmpty(valueSetManagerSVS.selectedValueSet)}">
                            <rich:dataTable value="#{valueSetManagerSVS.selectedValueSet.group}" var="gp"
                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                            id="tableGroups" render="ds">
                                <g:column width="170px" label="OID">
                                    <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                                    <h:outputText value="#{gp.iD}"/>
                                </g:column>
                                <g:column label="displayName">
                                    <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                    <h:outputText value="#{gp.displayName}"/>
                                </g:column>
                                <g:column label="sourceOrganization">
                                    <ui:define name="header">#{messages['gazelle.svs.SourceOrganization']}</ui:define>
                                    <h:outputText value="#{gp.sourceOrganization}"/>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <div class="gzl-never-wrap">
                                        <a4j:commandLink action="#{valueSetManagerSVS.displayGroup(gp)}"
                                                         target="_blank"
                                                         title="#{messages['gazelle.svs.MoreDetails']}">
                                            <span class="gzl-icon-search"></span>
                                        </a4j:commandLink>
                                    </div>
                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="tableGroups"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </s:div>
                        <s:div id="divTableGroupEmpty"
                               rendered="#{valueSetManagerSVS.getBoolGroupListEmpty(valueSetManagerSVS.selectedValueSet)}">
                            <h:outputText>#{messages['gazelle.svs.NoGroupForThisValueSet']}</h:outputText>
                        </s:div>
                    </ui:decorate>
                </s:div>

                <ui:define name="panel_footer">
                    <a4j:commandButton value="#{messages['gazelle.svs.EditValueSet_3']}"
                                       styleClass="gzl-btn-blue"
                                       action="#{valueSetManagerSVS.editValueSet(valueSetManagerSVS.selectedValueSet)}"
                                       rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"/>
                    <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                       styleClass="gzl-btn"
                                       action="/browser/valueSetBrowser.seam"/>
                </ui:define>

            </ui:decorate>

            <s:div id="divConceptListEdition" rendered="#{not empty valueSetManagerSVS.selectedValueSet.getIdDB()}">
                <s:div id="conceptListEdition">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.svs.ConceptListAndConcept']}</ui:define>
                        <s:div id="divConceptListRepeat">
                            <a4j:repeat value="#{valueSetManagerSVS.selectedValueSet.conceptList}" var="clist"
                                        rendered="#{not empty valueSetManagerSVS.selectedValueSet.conceptList}">
                                <s:div id="divConceptListTable" rendered="#{not empty clist.lang}">
                                    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                                        <ui:param name="panel_id" value="conceptListPanel"/>
                                        <ui:param name="openByDefault" value="true"/>
                                        <ui:define name="panel_title">
                                            <h:outputText
                                                    value="#{messages['gazelle.svs.ConceptList']} (#{clist.lang})"/>
                                        </ui:define>

                                        <s:decorate template="/layout/display/_display.xhtml">
                                            <ui:define name="label">#{messages['gazelle.svs.Lang']}</ui:define>
                                            <h:outputText value="#{clist.lang}"/>
                                        </s:decorate>
                                        <rich:dataTable value="#{clist.concept}" var="conceptM"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                                        id="tableConceptsMain" render="ds">
                                            <g:column>
                                                <ui:define name="header">#{messages['gazelle.svs.Code']}</ui:define>
                                                <h:outputText value="#{conceptM.code}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">#{messages['gazelle.svs.DisplayName']}
                                                </ui:define>
                                                <h:outputText value="#{conceptM.displayName}"
                                                              style="white-space: normal"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">#{messages['gazelle.svs.CodeSystem']}
                                                </ui:define>
                                                <h:outputText value="#{conceptM.codeSystem}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">#{messages['gazelle.svs.CodeSystemName_3']}
                                                </ui:define>
                                                <h:outputText value="#{conceptM.codeSystemName}"/>
                                            </g:column>
                                            <g:column>
                                                <ui:define name="header">
                                                    #{messages['gazelle.svs.CodeSystemVersion']}
                                                </ui:define>
                                                <h:outputText value="#{conceptM.codeSystemVersion}"/>
                                            </g:column>
                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="ds"/>
                                                    <ui:param name="dataTableId" value="tableConceptsMain"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>
                                    </ui:decorate>
                                </s:div>
                            </a4j:repeat>
                        </s:div>
                    </ui:decorate>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>